Bug 734054 - Throws 'Globally uncaught exception' while adding 'Platform Utilization' on dashboard
Throws 'Globally uncaught exception' while adding 'Platform Utilization' on d...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-29 06:45 EDT by Jeeva Kandasamy
Modified: 2012-02-07 14:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Browser: Firefox 3.6.18 OS: RHEL 6.1 X86_64
Last Closed: 2012-02-07 14:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Globally uncaught exception (40.24 KB, image/jpeg)
2011-08-29 10:00 EDT, Jeeva Kandasamy
no flags Details
client side error log (19.25 KB, text/x-log)
2011-08-29 10:15 EDT, Jeeva Kandasamy
no flags Details
Verified-screenshot (44.71 KB, image/jpeg)
2011-08-30 07:09 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 06:45:31 EDT
Description of problem:
While adding 'Platform Utilization' portlet on dashboard throws 'Globally uncaught exception' and few buttons are not working! (detailed screen shot is attached)


Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4

Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate to 'Dashboard'
2.Go to edit mode with existing dashboard or click on new dashboard
3.Click on 'Add portlet' and select 'Platform Utilization'
4.Throws 'Globally uncaught exception' and buttons are not working (detailed screen shot is attached).

  
Actual results:
Throws 'Globally uncaught exception' and failed to add 'Platform utilization' on dashboard.

Expected results:
Should not throw any exception and should be added 'platform Utilization' on dashboard successfully 

Additional info:
Screen shot is attached
Comment 1 Jeeva Kandasamy 2011-08-29 10:00:14 EDT
Created attachment 520404 [details]
Globally uncaught exception
Comment 2 Mike Foley 2011-08-29 10:08:10 EDT
Jeeva ... can you capture client-side stack trace from the message center ... and server-side stacktrace from RHQ server log file.
Comment 3 Jeeva Kandasamy 2011-08-29 10:15:00 EDT
Created attachment 520408 [details]
client side error log
Comment 4 Jeeva Kandasamy 2011-08-29 10:18:09 EDT
There was no error stack trace on server side for this issue.
Comment 5 Jay Shaughnessy 2011-08-29 17:46:30 EDT
master commit c1ddd73fa51dbbdd185558a78b97314b2efa33cf

Test dash as above and also platform summary report view
Comment 6 Jeeva Kandasamy 2011-08-30 07:09:58 EDT
Created attachment 520592 [details]
Verified-screenshot

able to 'platform utilization' portlet successfully on dashboard. I didn't see any error(s) on log/GUI.
Comment 7 Jeeva Kandasamy 2011-08-30 07:11:21 EDT
Verified on:
Version: 4.1.1-BETA1
Build Number: 6db75f8
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64
Comment 8 Mike Foley 2012-02-07 14:22:20 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.